com.sun.mail.imap.protocol

## Class IMAPSaslAuthenticator

- java.lang.Object
- - com.sun.mail.imap.protocol.IMAPSaslAuthenticator

- All Implemented Interfaces:
    SaslAuthenticator

      public class IMAPSaslAuthenticator
      extends Object
      implements SaslAuthenticator

  This class contains a single method that does authentication using SASL. This is in a separate class so that it can be compiled with J2SE 1.5. Eventually it should be merged into IMAPProtocol.java.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAPSaslAuthenticator(IMAPProtocol pr, String name, Properties props, MailLogger logger, String host)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `authenticate(String[] mechs, String realm, String authzid, String u, String p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAPSaslAuthenticator

          public IMAPSaslAuthenticator(IMAPProtocol pr,
                               String name,
                               Properties props,
                               MailLogger logger,
                               String host)

  - ### Method Detail

    - #### authenticate

          public boolean authenticate(String[] mechs,
                             String realm,
                             String authzid,
                             String u,
                             String p)
                               throws ProtocolException

      Specified by:
        `authenticate` in interface `SaslAuthenticator`
      Throws:
        `ProtocolException`

Copyright © 2016 Oracle. All rights reserved.